• Hi, in your latest update v1.14, there is a version buy internally, it is still marked as 1.13.9 thus causing WordPress update script to detect that the installed v1.14.0 is v1.13.9.

    Tested on two sites on two different hosts.
    It’s the only plugin affected.

    Thank you.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Thanks. I was wondering what was happening.

    Plugin Author OneSignal

    (@onesignal)

    Hello DeadHippo and JC John,

    Thanks for reaching out to us! We’re aware of this issue, and we believe this is a bug due to our plugin not appearing in WordPress’s repository:

    Plugins Directory Missing OneSignal: https://wordpress.org/plugins/search/onesignal/

    We believe this is interfering with the update mechanism.

    Please use this identical ZIP release for now: https://github.com/OneSignal/OneSignal-WordPress-Plugin/releases/tag/1.14.0. You should be able to upload it your servers and install it.

    Let us know if you’re still having any trouble!

    Hi just updated my plugin in wordpress version 1.14.0 and it shows that it updated correctly to version 1.14.0 but once i refresh the page it still shows Version 1.13.9, i thinks its some bug in your plugin.

    Got it, thank you for the reply and the link. 🙂

    Plugin Author OneSignal

    (@onesignal)

    Hello Everyone,

    Sorry for the confusion around updating our plugin. We’ve double checked our code for errors, and we believe the issue may be related to our missing plugin on the WordPress repository (https://wordpress.org/plugins/search/onesignal/). Until we’re able to understand what the root cause of the issue is, we’ve set the version back to 1.13.9, which should stop triggering messages asking you to update.

    @catmaniax: We’ll reply right away!

    @terrybakshi: Thanks for letting us know. We weren’t able to reproduce this mismatched versions error, but we’ll keep this bug report in mind.

    Plugin Author OneSignal

    (@onesignal)

    Hello Everyone, @terrybakshi, @brianleejackson, @cuta, @catmaniax

    Just a small update. The WordPress.org plugins team has reached out to us to let us know they’re aware of plugin updating issues. Although you should no longer be getting update messages anymore, because we’ve reverted the plugin version, the few users who have installed version 1.14.0 (CCed here) should be aware of this issue. We’re not able to fix this issue from our side, so please be patient while the WordPress.org plugins team resolves the issue. Thanks!

    Plugin Author OneSignal

    (@onesignal)

    Hello Everyone,

    We’ve decided to update our plugin to version 1.14.0 once again.

    We haven’t noticed any issues so far, and we believe WordPress.org has fixed the issues with updating plugins.

    However, if you do notice any issues, the fastest way to reach us would be to either:

    a) Email us at support@onesignal.com
    – or –
    b) Just visit onesignal.com, click the large red button at the bottom right, and message us

    You can also leave a reply here or create new threads if you’d like, though it would be faster to email or chat with us on our site.

    Sorry for the earlier inconvenience.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Version bug’ is closed to new replies.